<%@ Control Language="C#" AutoEventWireup="true" Inherits="CMSWebParts_Custom_CustomAzureSearch" CodeBehind="~/CMSWebParts/Custom/CustomAzureSearch.ascx.cs" %>
<script>
    function setSearch(searchvalue) {
        document.getElementById("txtSearch").value = searchvalue;
    }

</script>
<asp:UpdatePanel ID="upSearch" runat="server">
    <ContentTemplate>
        <div class="product-page row">
            <div class="col-md-4 col-lg-3 product-filter">
                <h4>Search</h4>
                <asp:TextBox runat="server" ID="txtSearch" ClientIDMode="Static" CssClass="search-box" OnTextChanged="txtSearch_TextChanged" AutoPostBack="true" />
                <asp:Panel ID="pnlSuggestions" runat="server" Visible="false">
                    <h4>Suggestions</h4>
                    <asp:Label ID="lblSuggestions" runat="server"></asp:Label>
                </asp:Panel>

                <h4>Farms</h4>
                <asp:CheckBoxList runat="server" ID="filterFarm" Visible="true" CssClass="ContentCheckBoxList" AutoPostBack="True" />

                <h4>Coffee region</h4>
                <asp:CheckBoxList runat="server" ID="filterCountry" Visible="true" CssClass="ContentCheckBoxList" AutoPostBack="True" />
                <h4>Scoring Options</h4>
                <asp:DropDownList ID="ddlScoringProfile" runat="server" Visible="true" CssClass="ContentDropDownList" AutoPostBack="true">
                    <asp:ListItem Value="">Default</asp:ListItem>
                    <asp:ListItem Value="skuname">Name</asp:ListItem>
                    <asp:ListItem Value="skushortdescription">Description</asp:ListItem>
                    <asp:ListItem Value="coffeecountry">Country</asp:ListItem>
                    <asp:ListItem Value="coffeefarm">Farm</asp:ListItem>
                </asp:DropDownList>
                <h4>Search Options</h4>
                <asp:CheckBox runat="server" ID="cbShowHighlights" Text=" Show highlights?" AutoPostBack="true" />
                <br />
                <asp:CheckBox runat="server" ID="cbShowScore" Text=" Show score?" AutoPostBack="true" />
                <br />
                <br />
                <asp:Button ID="btnReset" runat="server" Text="Reset" CssClass="btn-primary" OnClick="btnReset_Click" />
            </div>

            <div class="col-md-8 col-lg-9 product-list" style="padding-left: 20px;">
                <asp:Label runat="server" ID="lblSearchResults" Visible="true" />
            </div>
        </div>
    </ContentTemplate>
</asp:UpdatePanel>

